import { Vec3 } from '../../math/Vec3';
import { Polyline } from "./Polyline";
export declare class Polygon<T> extends Polyline<T> {
    isPolygon: boolean;
    constructor(vs?: any[]);
    offset(distance: number, normal?: Vec3): Polygon<T>;
    containPoint(point: Vec3): void;
}
